/*
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _DCM_DB_UTILS_H_
#define _DCM_DB_UTILS_H_

#include <dcm_svc_internal.h>

#define DCM_STRING_VALID(str)		((str != NULL && strlen(str) > 0) ? TRUE : FALSE)

typedef enum {
	FACE_SCAN_NEEDED	= 0,
	FACE_SCAN_NO_NEEDED	= 1,
	FACE_SCAN_REFRESH_NEEDED	= 2,
	FACE_SCAN_RESCAN = 3,
	FACE_SCAN_STATUS_NONE = 4,
} dcm_face_scan_status_e;

int dcm_svc_db_connect(uid_t uid);
void dcm_svc_db_disconnect();
int dcm_svc_db_get_scan_image_info_by_path(const char *file_path, dcm_svc_item_s **scan_item);
int dcm_svc_db_insert_face_to_db(const char *media_uuid, unsigned int x, unsigned int y, unsigned int w, unsigned int h, int orientation);
int dcm_svc_db_insert_face_to_face_scan_list(dcm_svc_item_s *scan_item);
int dcm_svc_db_delete_face_from_db(const char *media_uuid);
int dcm_svc_db_check_scanned_by_media_uuid(const char *media_uuid, time_t modified_time, dcm_face_scan_status_e *scan_status);
int dcm_svc_db_get_face_cnt_from_db(const char* media_uuid, int *face_cnt);

#endif /*_DCM_DB_UTILS_H_*/

