/*
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _DCM_SCAN_SVC_H_
#define _DCM_SCAN_SVC_H_

#include <dcm_image_codec.h>

typedef struct {
	char *media_uuid;
	char *file_path;
	time_t modified_time;
	int image_width;
	int image_height;
	int image_orientation;
	char *mime_type;
} dcm_svc_item_s;

typedef struct {
	unsigned char *pixel;		/* decoding results, must be freed after use */
	size_t size;
	int orientation;			/* orientation information extracted from exif */
	unsigned int original_width;			/* original image width */
	unsigned int original_height;		/* original image height */
	unsigned int buffer_width;			/* scaled image width used by decoder (width/height ratio should be the same as original) */
	unsigned int buffer_height;			/* scaled image height used by decoder (width/height ratio should be the same as original) */
	dcm_image_format_e decode_type;	/* decoding pre-condition */
} dcm_image_info_s;

int dcm_scan_single(const char *file_path, uid_t uid, int *face_count);

#endif /* _DCM_SCAN_SVC_H_ */

