/*
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef _DCM_SVC_IPC_H_
#define _DCM_SVC_IPC_H_

#include <dcm_svc_internal.h>
#include <media-server-ipc.h>

#define DCM_IPC_MSG_MAX_SIZE 4096
#define DCM_TIMEOUT_SEC_60			60		/**< Response to media server time out */

typedef enum {
	DCM_IPC_PORT_DCM_RECV = 0,	/*Receive msg from media-server*/
	DCM_IPC_PORT_MS_RECV,			/*Send msg to media-server*/
	DCM_IPC_PORT_MAX,
} dcm_ipc_port_e;

int dcm_ipc_create_socket(int *socket_fd, dcm_ipc_port_e port);
int dcm_ipc_accept_socket(int serv_sock, int *client_sock);
int dcm_ipc_receive_message(int client_sock, dcmMsg *recv_msg);
int dcm_ipc_send_ready(void);
int dcm_ipc_send_client_message(int socket_fd, int result, const char *msg);
void dcm_ipc_close_socket(int socket_fd);

#endif /* _DCM_SVC_IPC_H_ */

