Name:       dcm-service
Summary:    A media DCM(Digital Contents Management) Service
Version:    0.2.1
Release:    0
Group:      Multimedia/Service
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001:     %{name}.manifest

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  cmake
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(capi-media-vision)
BuildRequires:  pkgconfig(libmedia-utils)
BuildRequires:  pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(mmutil-common)
BuildRequires:  pkgconfig(mmutil-magick)
%if 0%{?gtests:1}
BuildRequires:  pkgconfig(gmock)
%endif

%description
This package provides a media DCM(Digital Contents Management) service

%package devel
Summary:    A media DCM(Digital Contents Management) service(Development)
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides a media DCM(Digital Contents Management) service(Development files included)

%prep
%setup -q
cp %{SOURCE1001} .

%build

export CFLAGS="$(echo $CFLAGS | sed 's/-Wl,--as-needed//g')"
export CXXFLAGS="$(echo $CXXFLAGS | sed 's/-Wl,--as-needed//g')"
export FFLAGS="$(echo $FFLAGS | sed 's/-Wl,--as-needed//g')"

%cmake . -DBUILD_GTESTS=%{?gtests:1}%{!?gtests:0}
make %{?jobs:-j%jobs}
#export CFLAGS+=" -Wextra -Wno-array-bounds -D_FORTIFY_SOURCE=2"
#export CFLAGS+=" -Wno-ignored-qualifiers -Wno-unused-parameter -Wshadow"
#export CFLAGS+=" -Wwrite-strings -Wswitch-default"

%install
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/*.so*
%if 0%{?gtests:1}
%{_bindir}/gtest*
%{_bindir}/dcm-service-unittest*
%endif
%{_bindir}/dcm-svc
%license LICENSE.APLv2.0

%files devel
%manifest %{name}.manifest
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
