/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DCM_FACE_UNITTEST_H__
#define __DCM_FACE_UNITTEST_H__

#include <stdio.h>
#include <stdlib.h>
#include <glib.h>
#include <media-util.h>
#include <mm_util_magick.h>

#include "dcm-face.h"

class DcmFaceUnittest {
	private:
		dcm_face_h handle;
		mm_util_image_h sourceImage;

		int DecodeImage(const char *path);
	public:
		unsigned char *data;
		unsigned int width;
		unsigned int height;
		mm_util_color_format_e color;
		size_t dataSize;
		face_info_s faceInfo;

		DcmFaceUnittest(void);
		~DcmFaceUnittest(void);
		int Init(void);
		int Deinit(void);
		int SetImageInfo(const char *path);
		int GetFaceInfo(void);
};

#endif /*__DCM_FACE_UNITTEST_H__*/
